%define name gmysql
%define version 0.3.3
%define release 4mdk

Name:		%{name}
Summary:	GTK+ client for MySQL
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Databases
URL:		http://www.loth.demon.co.uk/gmysql/
Source:		%{name}-%{version}.tar.bz2
Requires:	gtk+ >= 1.2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
gmysql is a graphical user interface to the mysqld SQL database server.
gmysql uses GTK+ for its widgets.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q


%build

%configure

%make


%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gmysql"\
title="Gmysql"\
longtitle="Graphical interface to mysql databases"\
needs="x11"\
section="Applications/Development/Tools"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}   


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_libdir}/menu/*

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-4mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-3mdk
- BM
- macros
- menu


* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- fix group

* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Thu Jan 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- bzip sources
- specfile updates: change from /usr/local to /usr

* Wed Nov 17 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribution

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote spec file
- 0.3.3
- Don't segfault on database creation if no host is selected.
- Use GtkItemFactory instead of deprecated GtkMenuFactory; we require
  GTK 1.2 now, maybe I'll put some #ifdef's in for 1.0 if enough people
  whine.
- fix typeo in configure; add --with-mysql-includes --with-mysql-libraries
  for people with wierd mysql installations.
- minor license stuff.
